--- src/3rdparty/chromium/net/BUILD.gn.orig	2024-07-03 01:14:49 UTC
+++ src/3rdparty/chromium/net/BUILD.gn
@@ -126,7 +126,7 @@ net_configs = [
   "//build/config/compiler:wexit_time_destructors",
 ]
 
-if (is_linux || is_chromeos) {
+if ((is_linux || is_chromeos) && !is_bsd) {
   net_configs += [ "//build/config/linux:libresolv" ]
 }
 
@@ -1183,6 +1183,19 @@ component("net") {
     ]
   }
 
+  if (is_bsd) {
+    sources -= [
+      "base/address_map_cache_linux.cc",
+      "base/address_map_cache_linux.h",
+      "base/address_map_linux.cc",
+      "base/address_map_linux.h",
+      "base/address_tracker_linux.cc",
+      "base/address_tracker_linux.h",
+      "base/network_change_notifier_linux.cc",
+      "base/network_interfaces_linux.cc",
+    ]
+  }   
+
   if (is_mac) {
     sources += [
       "base/network_notification_thread_mac.cc",
@@ -1340,7 +1353,7 @@ component("net") {
   }
 
   # Use getifaddrs() on POSIX platforms, except Linux.
-  if (is_posix && !is_linux && !is_chromeos) {
+  if ((is_posix && !is_linux && !is_chromeos) || is_bsd) {
     sources += [
       "base/network_interfaces_getifaddrs.cc",
       "base/network_interfaces_getifaddrs.h",
@@ -2810,7 +2823,7 @@ test("net_unittests") {
     ]
   }
 
-  if (is_linux || is_chromeos) {
+  if ((is_linux || is_chromeos) && !is_bsd) {
     sources += [
       "base/address_tracker_linux_unittest.cc",
       "base/network_interfaces_linux_unittest.cc",
@@ -2898,6 +2911,10 @@ test("net_unittests") {
     ]
   }
 
+  if (is_bsd) {
+    deps += [ "//sandbox/policy" ]
+  }
+
   if (enable_websockets) {
     deps += [ "//net/server:tests" ]
   }
@@ -2968,7 +2985,7 @@ test("net_unittests") {
     ]
   }
 
-  if (is_linux || is_chromeos) {
+  if ((is_linux || is_chromeos) && !is_bsd) {
     sources += [ "tools/quic/quic_simple_server_test.cc" ]
   }
 
@@ -3103,7 +3120,7 @@ test("net_unittests") {
   }
 
   # Use getifaddrs() on POSIX platforms, except Linux.
-  if (is_posix && !is_linux && !is_chromeos) {
+  if (is_posix && !is_linux && !is_chromeos && !is_bsd) {
     sources += [ "base/network_interfaces_getifaddrs_unittest.cc" ]
   }
 
